## iscan 2.30.4-2

=== debian/changelog ===
iscan (2.30.4-2) unstable; urgency=low

  * latest "upstream"
    See the NEWS and/or ChangeLog files for details.

 -- SEIKO EPSON Corporation <linux-printer@epson.jp>  Wed, 21 Aug 2019 08:05:59 +0900
