=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #  control -- information about source and binary packages
-#  Copyright (C) 2007  EPSON AVASYS Corporation
+#  Copyright (C) 2007, 2009  EPSON AVASYS CORPORATION
 #
 #  This file is part of the "Image Scan!" build infra-structure.
 #
@@ -24,15 +24,16 @@
 Source: iscan
 Section: non-free/graphics
 Priority: extra
-Maintainer: EPSON AVASYS Corporation <pipsnews@avasys.jp>
-Build-Depends: cdbs, debhelper (>= 5.0.42), libsane-dev, libltdl3-dev, libgtk2.0-dev, libpng-dev, libjpeg-dev, libgimp2.0-dev
+Maintainer: SEIKO EPSON Corporation <linux-printer@epson.jp>
+Build-Depends: cdbs, debhelper (>= 5.0.42), libsane-dev, libltdl7-dev | libltdl3-dev, libgtk2.0-dev, libpng-dev, libjpeg-dev, libgimp2.0-dev, libtiff4-dev, libxml2-dev, libusb-1.0-0-dev
 Standards-Version: 3.7.2
 
 Package: iscan
-Architecture: i386
-Depends: ${shlibs:Depends}
+Architecture: i386 amd64
+Depends: iscan-data, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gimp
-Conflicts: libsane-extras
+Conflicts: iscan-network-nt (<< 1.1), iscan-plugin-cx4400 (<< 2.1), iscan-plugin-gt-7200 (<< 2.1), iscan-plugin-gt-7300 (<< 2.1), iscan-plugin-gt-9400 (<< 2.1), iscan-plugin-gt-f500 (<< 2.1), iscan-plugin-gt-f520 (<< 2.1), iscan-plugin-gt-f600 (<< 2.1), iscan-plugin-gt-f670 (<< 2.1), iscan-plugin-gt-f700 (<< 2.1), iscan-plugin-gt-s600 (<< 2.1), iscan-plugin-gt-x750 (<< 2.1)
+Replaces: libsane-extras
 Description: simple, easy to use scanner utility for EPSON scanners
  Image Scan! is a graphical scanner utility for people that do not need
  all the bells and whistles provided by several of the other utilities
